<?php

/**
 * Implementation of hook_views_default_views().
 */
function context_admin_vbo_views_default_views() {
  $tasks = page_manager_get_tasks();
  $views = array();
  if ($tasks) {
    foreach ($tasks as $task_id => $task) {
      $subtasks = page_manager_get_task_subtasks($task);
      foreach ($subtasks as $subtask_id => $subtask) {
        $default_handlers = isset($subtask['subtask']->default_handlers) ? $subtask['subtask']->default_handlers : NULL;
        $handlers = page_manager_load_task_handlers($task, $subtask_id, $default_handlers);
        if ($handlers) {
          foreach ($handlers as $handler) {
            if (isset($handler->conf['context_admin_options']) && $handler->conf['context_admin_options'] == 'views_bulk_menu') {
              $view_name = $handler->name;
              $type = $handler->conf['context_admin_vbo_views_bulk_node_type'];
              $pub = $handler->conf['context_admin_vbo_views_bulk_published'];
              if ($pub == 'published') {
                $pub = TRUE;
              }
              elseif ($pub == 'unpublished') {
                $pub = FALSE;
              }
              $view = context_admin_vbo_default_view($view_name, $type, $pub);
              $views[$view->name] = $view;
            }
          }
        }
      }
    }
  }
  return $views;
}

function context_admin_vbo_default_view($view_name, $type, $pub) {
  $view = new view;
  $view->name = $view_name;
  $view->description = '';
  $view->tag = '';
  $view->base_table = 'node';
  $view->human_name = 'context admin vbo generated for ' . $view_name;
  $view->core = 7;
  $view->api_version = '3';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
  /* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'bulk';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'created' => 'created',
    'status' => 'status',
    'promote' => 'promote',
    'sticky' => 'sticky',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'created' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'status' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'promote' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'sticky' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['selected_operations'] = array(
    'views_bulk_operations_delete_node_action' => 'views_bulk_operations_delete_node_action',
    'node_make_sticky_action' => 'node_make_sticky_action',
    'node_make_unsticky_action' => 'node_make_unsticky_action',
    'node_promote_action' => 'node_promote_action',
    'node_publish_action' => 'node_publish_action',
    'node_unpromote_action' => 'node_unpromote_action',
    'node_unpublish_action' => 'node_unpublish_action',
    'node_assign_owner_action' => 0,
    'node_mass_update:a27b9efabcd054685a549378b174ad11' => 0,
    'system_message_action' => 0,
    'views_bulk_operations_action' => 0,
    'views_bulk_operations_script_action' => 0,
    'node_mass_update:8ce21b08bb8e773d10018b484fe4815e' => 0,
    'node_mass_update:c4d3b28efb86fd703619a50b74d43794' => 0,
    'views_bulk_operations_taxonomy_action' => 0,
    'views_bulk_operations_argument_selector_action' => 0,
    'node_mass_update:14de7d028b4bffdf2b4a266562ca18ac' => 0,
    'node_mass_update:9c585624b9b3af0b4687d5f97f35e047' => 0,
    'system_goto_action' => 0,
    'node_save_action' => 0,
    'system_send_email_action' => 0,
    'node_unpublish_by_keyword_action' => 0,
    'node_mass_update:0ccad85c1ebe4c9ceada1aa64293b080' => 0,
    'pathauto_node_update_alias_multiple:0d56f9c10fbb36ec3264abea71b6f416' => 0,
  );
  $handler->display->display_options['style_options']['execution_type'] = '1';
  $handler->display->display_options['style_options']['display_type'] = '0';
  $handler->display->display_options['style_options']['skip_confirmation'] = 0;
  $handler->display->display_options['style_options']['display_result'] = 1;
  $handler->display->display_options['style_options']['merge_single_action'] = 1;
  $handler->display->display_options['style_options']['hide_select_all'] = 1;
  /* Field: Node: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['title']['alter']['external'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['title']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 1;
  /* Field: Node: Post date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'node';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['created']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['created']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['created']['alter']['external'] = 0;
  $handler->display->display_options['fields']['created']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['created']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['created']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['created']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['created']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['created']['alter']['html'] = 0;
  $handler->display->display_options['fields']['created']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['created']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['created']['hide_empty'] = 0;
  $handler->display->display_options['fields']['created']['empty_zero'] = 0;
  /* Field: Node: Published */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'node';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['status']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['status']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['status']['alter']['external'] = 0;
  $handler->display->display_options['fields']['status']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['status']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['status']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['status']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['status']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['status']['alter']['html'] = 0;
  $handler->display->display_options['fields']['status']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['status']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['status']['hide_empty'] = 0;
  $handler->display->display_options['fields']['status']['empty_zero'] = 0;
  $handler->display->display_options['fields']['status']['not'] = 0;
  /* Field: Node: Promoted to front page */
  $handler->display->display_options['fields']['promote']['id'] = 'promote';
  $handler->display->display_options['fields']['promote']['table'] = 'node';
  $handler->display->display_options['fields']['promote']['field'] = 'promote';
  $handler->display->display_options['fields']['promote']['label'] = 'Promoted';
  $handler->display->display_options['fields']['promote']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['promote']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['promote']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['promote']['alter']['external'] = 0;
  $handler->display->display_options['fields']['promote']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['promote']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['promote']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['promote']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['promote']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['promote']['alter']['html'] = 0;
  $handler->display->display_options['fields']['promote']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['promote']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['promote']['hide_empty'] = 0;
  $handler->display->display_options['fields']['promote']['empty_zero'] = 0;
  $handler->display->display_options['fields']['promote']['not'] = 0;
  /* Field: Node: Sticky */
  $handler->display->display_options['fields']['sticky']['id'] = 'sticky';
  $handler->display->display_options['fields']['sticky']['table'] = 'node';
  $handler->display->display_options['fields']['sticky']['field'] = 'sticky';
  $handler->display->display_options['fields']['sticky']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['sticky']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['sticky']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['sticky']['alter']['external'] = 0;
  $handler->display->display_options['fields']['sticky']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['sticky']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['sticky']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['sticky']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['sticky']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['sticky']['alter']['html'] = 0;
  $handler->display->display_options['fields']['sticky']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['sticky']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['sticky']['hide_empty'] = 0;
  $handler->display->display_options['fields']['sticky']['empty_zero'] = 0;
  $handler->display->display_options['fields']['sticky']['not'] = 0;
  /* Field: Node: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['external'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['edit_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['edit_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['edit_node']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['edit_node']['empty_zero'] = 0;
  /* Sort criterion: Node: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  if ($pub === FALSE || $pub === TRUE) {
    /* Filter: Node: Published */
    $handler->display->display_options['filters']['status']['id'] = 'status';
    $handler->display->display_options['filters']['status']['table'] = 'node';
    $handler->display->display_options['filters']['status']['field'] = 'status';
    $handler->display->display_options['filters']['status']['value'] = $pub;
  }
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    $type => $type,
  );
  $translatables['context_admin_vbo'] = array(
    t('Defaults'),
    t('more'),
    t('Apply'),
    t('Reset'),
    t('Sort By'),
    t('Asc'),
    t('Desc'),
    t('Items per page'),
    t('- All -'),
    t('Offset'),
    t('Title'),
    t('Post date'),
    t('Published'),
    t('Promoted'),
    t('Sticky'),
  );
  return $view;
}

